| QxOrm 1.4.9 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Private Member Functions | Static Private Member Functions | Private Attributes | Friends
qx::QxDateNeutral Class Reference
QxDao : QxOrm library database communication used by persistence engine (ORM - Object Relational Mapping)

qx::QxDateNeutral : helper class to store a date value into database under neutral format (YYYYMMDD) => cross database compatibility More...

`#include <QxDateNeutral.h>`

List of all members.

## Public Member Functions
| QxDateNeutral ()
| QxDateNeutral (const QDate &date)
| QxDateNeutral (const QString &neutral)
virtual | ~QxDateNeutral ()
QDate | toDate () const
QString | toNeutral () const
bool | isValid () const
void | setDate (const QDate &date)
void | setNeutral (const QString &neutral)
## Static Public Member Functions
static QxDateNeutral | fromDate (const QDate &date)
static QxDateNeutral | fromNeutral (const QString &neutral)
## Private Member Functions
void | update ()
template<class Archive >
void | serialize (Archive &ar, const unsigned int file_version)
## Static Private Member Functions
static const char * | format ()
## Private Attributes
QDate | m_date
| Data value under QDate format from Qt library.
QString | m_neutral
| Data value under neutral format 'yyyyMMdd'.
## Friends
class | boost::serialization::access
QX_DLL_EXPORT QDataStream & | operator<< (QDataStream &stream, const qx::QxDateNeutral &t)
QX_DLL_EXPORT QDataStream & | operator>> (QDataStream &stream, qx::QxDateNeutral &t)

## Detailed Description

qx::QxDateNeutral : helper class to store a date value into database under neutral format (YYYYMMDD) => cross database compatibility

Definition at line 71 of file QxDateNeutral.h.

## Constructor & Destructor Documentation

qx::QxDateNeutral::QxDateNeutral | ( |  | ) | `[inline]`

Definition at line 88 of file QxDateNeutral.h.

qx::QxDateNeutral::QxDateNeutral | ( | const QDate & | date | ) | `[inline, explicit]`

Definition at line 89 of file QxDateNeutral.h.

qx::QxDateNeutral::QxDateNeutral | ( | const QString & | neutral | ) | `[inline, explicit]`

Definition at line 90 of file QxDateNeutral.h.

virtual qx::QxDateNeutral::~QxDateNeutral | ( |  | ) | `[inline, virtual]`

Definition at line 91 of file QxDateNeutral.h.

## Member Function Documentation

static const char* qx::QxDateNeutral::format | ( |  | ) | `[inline, static, private]`

Definition at line 105 of file QxDateNeutral.h.

static QxDateNeutral qx::QxDateNeutral::fromDate | ( | const QDate & | date | ) | `[inline, static]`

Definition at line 100 of file QxDateNeutral.h.

static QxDateNeutral qx::QxDateNeutral::fromNeutral | ( | const QString & | neutral | ) | `[inline, static]`

Definition at line 101 of file QxDateNeutral.h.

bool qx::QxDateNeutral::isValid | ( |  | ) | const`[inline]`

Definition at line 95 of file QxDateNeutral.h.

template<class Archive >

void qx::QxDateNeutral::serialize | ( | Archive & | ar,
|  | const unsigned int | file_version
| ) |  | `[inline, private]`

Definition at line 116 of file QxDateNeutral.h.

void qx::QxDateNeutral::setDate | ( | const QDate & | date | ) | `[inline]`

Definition at line 97 of file QxDateNeutral.h.

void qx::QxDateNeutral::setNeutral | ( | const QString & | neutral | ) | `[inline]`

Definition at line 98 of file QxDateNeutral.h.

QDate qx::QxDateNeutral::toDate | ( |  | ) | const`[inline]`

Definition at line 93 of file QxDateNeutral.h.

QString qx::QxDateNeutral::toNeutral | ( |  | ) | const`[inline]`

Definition at line 94 of file QxDateNeutral.h.

void qx::QxDateNeutral::update | ( |  | ) | `[inline, private]`

Definition at line 107 of file QxDateNeutral.h.

## Friends And Related Function Documentation

friend class boost::serialization::access`[friend]`

Definition at line 75 of file QxDateNeutral.h.

QX_DLL_EXPORT QDataStream& operator<< | ( | QDataStream & | stream,
|  | const qx::QxDateNeutral & | t
| ) |  | `[friend]`

QX_DLL_EXPORT QDataStream& operator>> | ( | QDataStream & | stream,
|  | qx::QxDateNeutral & | t
| ) |  | `[friend]`

## Member Data Documentation

QDate qx::QxDateNeutral::m_date`[private]`

Data value under QDate format from Qt library.

Definition at line 83 of file QxDateNeutral.h.

QString qx::QxDateNeutral::m_neutral`[private]`

Data value under neutral format 'yyyyMMdd'.

Definition at line 84 of file QxDateNeutral.h.

The documentation for this class was generated from the following file:

- C:/Dev/_Perso/QxOrm/include/QxDao/QxDateNeutral.h